#-----------------------------------------------------------------------------------------------
# Please do not modify anything from here
-include ../Rules.make
# ----------------------------------------------------------------------------------------------

#------------------------------------------------------------------------------
#    CE_INSTALL_DIR          - Points to the installation directory of Codec
#                              Engine. This directory should have a packages/
#                              and optional cetools/ directory inside. Please refer to 
#                              http://wiki.davincidsp.com/index.php/Codec_Engine_FAQ#Why_do_some_distributions_have_a_cetools_directory_and_others_don.27t.3F
#                              to know more on the cetools directory
#    CODEC_INSTALL_DIR       - Points to the installation directory of
#                              multimedia codec server. This directory should have a
#                              packages/ directory inside.
#    FC_INSTALL_DIR          - Points to the installation directory of Framework 
#                              Components. This directory should have a packages/
#                              and an fctools directory.Please refer to the above link to 
#                              know more on this.
#    LINK_INSTALL_DIR        - Points to the installation directory of DSP Link.
#                              This directory should have a packages/ directory
#                              inside which inturn contain the codecs and server
#                              packages.
#    BIOS_INSTALL_DIR        - Points to the installation directory of the
#                              DSP/BIOS Real Time Operating System. This
#                              directory should have a packages/ directory
#                              inside.
#    XDC_INSTALL_DIR         - Points to the installation directory of the RTSC
#                              tools. This directory should have a packages/
#                              directory inside and xdc executable command.
#    CODEGEN_INSTALL_DIR     - Points to where the TI c6x codegen tools are
#                              installed. This directory should have bin/,
#                              lib/ and include/ directories inside.
#    BIOSUTILS_INSTALL_DIR   - Points to where the DSP/BIOS utilities are
#                              installed. This directory should have a
#                              packages/ directory inside.
#    XDAIS_INSTALL_DIR       - Points to where the XDAIS product is installed. 
#                              This directory should have packages/ directory inside.
#    CMEM_INSTALL_DIR        - Points to where the top level utility packages to support 
#                              user mode accesses to utility libraries such as CMEM. This 
#                              directory should have packages/ directory inside. 
#    EDMA3_LLD_INSTALL_DIR   - Where the EDMA3 Low Level Driver is installed. Points to the installation
#                              directory having /docs, /packages, /package and /examples inside   
#-----------------------------------------------------------------------------------------------

# ----------------------------------------------------------------------------------------------
# Please define all the ENV variables that are listed above using the below method.
# 1. if ../Rules.make exists, make sure they are defined in that file
#
#                 OR
#
# 2. if ../Rules.make does not exist, then
#       a. set the ENV variables by uncommenting the required section below with the correct paths.
#               OR
#       b. set or export the environment variables in the build environment.
#
# NOTE: The paths shown for the ENV variables are for reference only and 
#       may not exactly match your installation.
#---------------------------------------------------------------------------------------------


#---------------------------------------------------------------------------------------------
# You can modify the below section as required
#---------------------------------------------------------------------------------------------

#------------------------------------------------------------------------------------------------
# Sample csRules.mak
# Please uncomment these ENV Variables, if they are not defined in the codec server's build env
# Please modify the path to reflect the correct path;
# Please note that "DVSDK_INSTALL_TOOLS" is just an hypothetical env variable and need to be changed
# to the real environment variable as applicable to the below individual installation paths.
#-------------------------------------------------------------------------------------------------
# CE_INSTALL_DIR         = $(DVSDK_INSTALL_TOOLS)/codec_engine_2_25_05_16
# CODEC_INSTALL_DIR      = $(DVSDK_INSTALL_TOOLS)/cs2dm6467_1_00_00_10
# FC_INSTALL_DIR         = $(DVSDK_INSTALL_TOOLS)/framework_components_2_25_02_06
# LINK_INSTALL_DIR       = $(DVSDK_INSTALL_TOOLS)/dsplink_linux_1_64
# BIOS_INSTALL_DIR       = $(DVSDK_INSTALL_TOOLS)/bios_5_41_00_06
# XDC_INSTALL_DIR        = $(DVSDK_INSTALL_TOOLS)/xdctools_3_16_01_27
# CODEGEN_INSTALL_DIR    = /dvsdk/tools/TI/C6000CGT6.1.12
# BIOSUTILS_INSTALL_DIR  = $(DVSDK_INSTALL_TOOLS)/biosutils_1_02_02
# XDAIS_INSTALL_DIR      = $(DVSDK_INSTALL_TOOLS)/xdais_6_25_02_11
# CMEM_INSTALL_DIR       = $(DVSDK_INSTALL_TOOLS)/linuxutils_2_25_04_10
# EDMA3_LLD_INSTALL_DIR  = $(DVSDK_INSTALL_TOOLS)/edma3_lld_01_11_00_03
